{-
 *  Programmer:	Piotr Borek
 *  E-mail:     piotrborek@op.pl
 *  Copyright 2016 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-}
{-# OPTIONS_GHC -fno-warn-orphans #-}
{-# LANGUAGE DataKinds #-}

module Mp.Locale.TranslateFile (
    translate
) where

import           GHC.TypeLits

import           Simple.Locale.Languages
import           Simple.Locale.TranslateClass

instance Translate "GstPlayerElementFactoryException: Could not create element" where
    translate LANG_PL _      = "GstPlayerElementFactoryException: Nie mogę utworzyć elementu"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "GstPlayerElementLinkException: Could not link elements" where
    translate LANG_PL _      = "GstPlayerElementLinkException: Nie mogę połączyć elementów"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Help    " where
    translate LANG_PL _      = "Pomoc     "
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Queue   " where
    translate LANG_PL _      = "Lista     "
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Playlist" where
    translate LANG_PL _      = "Playlisty "
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Browser " where
    translate LANG_PL _      = "Przeglądaj"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Detach from the server" where
    translate LANG_PL _      = "Wyjdź i odtwarzaj muzykę w tle"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Quit" where
    translate LANG_PL _      = "Wyjdź"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Help screen" where
    translate LANG_PL _      = "Ekran pomocy"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Queue screen" where
    translate LANG_PL _      = "Ekran listy odtwarzania"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Playlists screen" where
    translate LANG_PL _      = "Ekran playlist"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Browser screen" where
    translate LANG_PL _      = "Ekran przeglądania"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Next screen" where
    translate LANG_PL _      = "Następny ekran"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Previous screen" where
    translate LANG_PL _      = "Poprzedni ekran"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Move cursor up" where
    translate LANG_PL _      = "Przesuń kursor w górę"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Move cursor down" where
    translate LANG_PL _      = "Przesuń kursor w dół"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Page up" where
    translate LANG_PL _      = "Przesuń o stronę w górę"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Page down" where
    translate LANG_PL _      = "Przesuń o stronę w dół"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Start playing" where
    translate LANG_PL _      = "Odtwarzaj"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Enter directory" where
    translate LANG_PL _      = "Otwórz katalog"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Enter playlist" where
    translate LANG_PL _      = "Wejdź do playlisty"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Stop playing" where
    translate LANG_PL _      = "Zatrzymaj odtwarzanie"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Pause" where
    translate LANG_PL _      = "Wstrzymaj"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "resume playing" where
    translate LANG_PL _      = "wznów odtwarzanie"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Add file" where
    translate LANG_PL _      = "Dodaj plik"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "directory" where
    translate LANG_PL _      = "katalog"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "playlist" where
    translate LANG_PL _      = "playliste"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Remove file" where
    translate LANG_PL _      = "usuń plik"
    translate LANG_UNKNOWN p = symbolVal p

--

instance Translate "Clear the queue" where
    translate LANG_PL _      = "Wyczyść listę odtwarzania"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Center" where
    translate LANG_PL _      = "Wyśrodkuj"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Save playlist" where
    translate LANG_PL _      = "Zapisz listę odtwarzania"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Delete playlist" where
    translate LANG_PL _      = "Usuń listę odtwarzania"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Go to root directory" where
    translate LANG_PL _      = "Przejdź do katalogu głównego"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Go to parent directory" where
    translate LANG_PL _      = "Przejdź do katalogu nadrzędnego"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Play next file" where
    translate LANG_PL _      = "Następna ścieżka"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Play previous file" where
    translate LANG_PL _      = "Poprzednia ścieżka"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Seek forward" where
    translate LANG_PL _      = "Przewiń naprzód"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Seek backward" where
    translate LANG_PL _      = "Przewiń wstecz"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Toggle repeat mode" where
    translate LANG_PL _      = "Przełącz tryb powtarzania"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Toggle random mode" where
    translate LANG_PL _      = "Przełącz tryb losowy"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Decrease volume" where
    translate LANG_PL _      = "Przycisz"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Increase volume" where
    translate LANG_PL _      = "Zgłośnij"
    translate LANG_UNKNOWN p = symbolVal p

--

instance Translate "Stopped" where
    translate LANG_PL _      = "Zatrzymane"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Playing" where
    translate LANG_PL _      = "Odtwarzanie"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Paused" where
    translate LANG_PL _      = "Wstrzymane"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Unknown" where
    translate LANG_PL _      = "Stan nieznany"
    translate LANG_UNKNOWN p = symbolVal p

--

instance Translate "Connection error" where
    translate LANG_PL _      = "Brak połączenia"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "Volume" where
    translate LANG_PL _      = "Głośność"
    translate LANG_UNKNOWN p = symbolVal p

--

instance Translate "Enter playlist name" where
    translate LANG_PL _      = "Wpisz nazwę"
    translate LANG_UNKNOWN p = symbolVal p

instance Translate "File exists. Overwrite ?" where
    translate LANG_PL _      = "Plik istnieje. Nadpisać ?"
    translate LANG_UNKNOWN p = symbolVal p
