{-
 *  Programmer:	Piotr Borek
 *  E-mail:     piotrborek@op.pl
 *  Copyright 2014 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-}

module Mp.Utils.Network (
    sendString,
    recvString,
    recvString_,
    recvString',
    recvString_',
    -- reexport
    Socket
) where

import Control.Monad
import Control.Monad.Trans

import Data.ByteString.UTF8 (fromString, toString)

import Network.Socket hiding (send, sendTo, recv, recvFrom)
import Network.Socket.ByteString

sendString :: MonadIO m => Socket -> String -> m ()
sendString sock msg = liftIO $ sendAll sock $ fromString msg

recvString :: MonadIO m => Socket -> Int -> m String
recvString sock size = liftIO receive
  where
    receive = do
        rval <- recv sock size
        return $ toString rval

recvString_ :: MonadIO m => Socket -> Int -> m ()
recvString_ sock size = liftIO $ void $ recvString sock size

recvString' :: MonadIO m => Socket -> m String
recvString' conn = recvString conn 4096

recvString_' :: MonadIO m => Socket -> m ()
recvString_' conn = recvString_ conn 4096
